// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers','ngCordova','highcharts-ng'])


.run(function($ionicPlatform ,$rootScope,$location,$timeout,$ionicHistory) {

$rootScope.service=[{id:"1",img:"img/s1.png",title:"Battery and engine restore"},{id:"2",img:"img/s2.png",title:"Car liquids replacement"},{id:"3",img:"img/s3.png",title:"Speed and engine testing"},{id:"4",img:"img/s4.png",title:"Electric car loading"}]	
$rootScope.blog=[{id:"1",img:"img/b1.png"},{id:"2",img:"img/b2.png"},{id:"3",img:"img/b1.png"},{id:"4",img:"img/b2.png"}]
$rootScope.items=[{id:"1",img:"img/m1.png",title:"John Doe Adel"},{id:"2",img:"img/m3.png",title:"Jonathan Doe"},{id:"3",img:"img/m4.png",title:"Adam Jonathan"},{id:"4",img:"img/m2.png",title:"Adam Jonathan"},{id:"5",img:"img/m1.png",title:"Adam Jonathan"},{id:"6",img:"img/m2.png",title:"Adam Jonathan"}]
	
$rootScope.activeItemMenu=function(index){
	   $rootScope.activeMenu=index;
	}
	
   $rootScope.myGoBack = function() {$ionicHistory.goBack(); };

 $ionicPlatform.ready(function() {
        if (window.StatusBar)    StatusBar.styleDefault();
        $timeout(function(){
             if(navigator.splashscreen)  navigator.splashscreen.hide();   
        },3000);
      });


})



.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider) {
    $ionicConfigProvider.backButton.text('').previousTitleText('')  ;
    $ionicConfigProvider.views.transition("none");
  $stateProvider

  .state('app', {
    url: "/app/:FormId",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl'
  })

  
  .state('app.extratodetalhado', {
    url: "/extratodetalhado",
    views: {
      'menuContent': {
        templateUrl: "templates/extratodetalhado.html"
      }
    }
  })
  
   .state('app.formandoscontrato', {
    url: "/formandoscontrato",
    views: {
      'menuContent': {
        templateUrl: "templates/formandoscontrato.html"
      }
    }
  })
  
  
  .state('app.detail', {
    url: "/detail/:ItemCatId",
    views: {
      'menuContent': {
        templateUrl: "templates/detail.html"
      }
    }
  })
  
   .state('login', {
    url: "/login",
        templateUrl: "templates/login.html",
        
        
  })
  
   .state('register', {
    url: "/register",
        templateUrl: "templates/register.html"
  })

  .state('app.services', {
    url: "/services",
    views: {
      'menuContent': {
        templateUrl: "templates/services.html"
      }
    }
  })
    .state('app.dashboard', {
      url: "/dashboard/:FormId",
      views: {
        'menuContent': {
          templateUrl: "templates/dashboard.html",
        }
      }
    })
	.state('app.minhasituacao', {
      url: '/minhasituacao',
      views: {
        'menuContent': {
          templateUrl: 'templates/minhasituacao.html',
          controller:'MinhaSitucaoCtrl'

        }
      }
    })

    //Criados Roniel

    .state('app.meusboletos', {
      url: '/meusboletos/:FormId',
      views: {
        'menuContent': {
          templateUrl: 'templates/meusboletos.html'
        }
      }
    })

    .state('app.clubebeneficio', {
    url: "/clubebeneficio/:CatId",
    views: {
      'menuContent': {
        templateUrl: "templates/clubebeneficio.html"
      }
    }
  })

  .state('app.clubebeneficiocategoria', {
    url: "/clubebeneficiocategoria",
    views: {
      'menuContent': {
        templateUrl: "templates/clubebeneficiocategoria.html"
      }
    }
  })

  .state('app.chat', {
    url: "/chat",
    views: {
      'menuContent': {
        templateUrl: "templates/chat.html"
      }
    }
  })

  .state('app.detalhesatendimento', {
    url: "/detalhesatendimento/:DuvidaId",
    views: {
      'menuContent': {
        templateUrl: "templates/detalhesatendimento.html"
      }
    }
  })

  .state('app.novoatendimento', {
    url: "/novoatendimento",
    views: {
      'menuContent': {
        templateUrl: "templates/novoatendimento.html"
      }
    }
  })

 
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/login');
});
