angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope,$ionicHistory, $ionicModal, $timeout,$cordovaCamera,$http,$stateParams,$state) {

  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  

$scope.parm = $stateParams;

$scope.$on('$ionicView.enter', function(e) {
    $http.get("http://siaf.bi4net.com.br/app/getdadosformando.php?status="+$scope.parm.FormId).success(function(resp){
          $scope.formandos = resp;
          $scope.FormTipo = resp[0].FormandoTipo;
        });
  });

//Camera picture

 $scope.getPicture = function () {
   //alert('oiii');
    var options = {
            quality : 75,
            destinationType : Camera.DestinationType.DATA_URL,
            sourceType : Camera.PictureSourceType.CAMERA,
            allowEdit : true,
            encodingType: Camera.EncodingType.JPEG,
            targetWidth: 300,
            targetHeight: 300,
            popoverOptions: CameraPopoverOptions,
            saveToPhotoAlbum: false
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {

            var imgupload = "data:image/jpeg;base64," + imageData;
            //alert('ok')
            teste(imgupload);
           /* $http.post( "http://siaf.bi4net.com.br/app/upload.php", {data: imageData}, function(data) {
              alert("Image uploaded!");
            });*/
        }, function(err) {
            // An error occured. Show a message to the user
        });

        function teste(imgupload){
            $http.post("http://siaf.bi4net.com.br/app/upload.php", {img: imgupload}).success(function(res){

                  //getfoto();
                  $scope.imgURI = imgupload;
            });
        }

        $state.go('app.dashboard',{'FormId': parm.FormId});

  }


  $scope.nomeformando = function() {
      $http.get("http://siaf.bi4net.com.br/app/getdadosformando.php?status="+$scope.parm.FormId).success(function(resp){
          $scope.formandos = resp;
        });
    };


  $scope.mostramenu = function(Tipo){
         switch(Tipo) {
                case 'FORMANDO            ':
                    return 'ng-hide';  
                case 'COMISSAO            ':
                   return '';
                default :
                    return '';
            }

     }



/*

  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };
*/

})

//Criados Roniel
.controller('meusboletosCtrl', function($scope,$ionicHistory,$http,$stateParams,$cordovaDialogs,$timeout,$ionicLoading) {
    $scope.parm = $stateParams;
    
     $ionicLoading.show({
            content: 'Loading',
            animation: 'fade-in',
            showBackdrop: true,
            maxWidth: 200,
            showDelay: 0
        });

        $timeout(function () {
            $ionicLoading.hide();
        }, 2000);

    getdados();
    getparcelas();

    function getdados(){
        $http.get("http://siaf.bi4net.com.br/app/getdadosformando.php?status="+$scope.parm.FormId).success(function(data){
        $scope.items = data;
        });
    }

    function getparcelas(){
        $http.get("http://siaf.bi4net.com.br/app/getparcelasformando.php?status="+$scope.parm.FormId).success(function(data){
        $scope.parcelas = data;
        });
    }

     $scope.getcolor = function(parcela){
         switch(parcela.Situacao) {
                case 'Vencida':
                    return 'assertive';
                case 'Paga':
                   return 'balanced';
                default :
                    return 'dark';
            }

     }

     $scope.EnviarEmail = function(ParcelaId,ParcelaSituacao){

       switch(ParcelaSituacao) {
                case 'Vencida':
                    $cordovaDialogs.confirm('Uma Nova Parcela será gerada e enviada por e-mail', 'Atenção', ['Confirmar','Cancelar'])
                        .then(function(buttonIndex) {
                          // no button = 0, 'OK' = 1, 'Cancel' = 2
                          var btnIndex = buttonIndex;
                          switch(btnIndex) {
                                case 0:
                                    //Não faz nada
                                case 1:

                                $ionicLoading.show({
                                    content: 'Loading',
                                    animation: 'fade-in',
                                    showBackdrop: true,
                                    maxWidth: 200,
                                    showDelay: 0
                                });

                                $timeout(function () {
                                    $ionicLoading.hide();
                                }, 5000);
                                
                              
                                 $http.get("http://siaf.bi4net.com.br/sistemaboletos/segundaviaboletoapp.php?p="+ParcelaId).success(function(data){
                                    $scope.parcelas = data;
                                });

                                getparcelas();
                            }
                        });

                    break;
                case 'Paga':
                   $cordovaDialogs.alert('Parcela já paga', 'Atenção', 'OK')
                      .then(function() {
                        // callback success
                      });
                   break;
                default :

                    $cordovaDialogs.confirm('Confimra o envio da parcela por e-mail', 'Atenção', ['Confirmar','Cancelar'])
                        .then(function(buttonIndex) {
                          // no button = 0, 'OK' = 1, 'Cancel' = 2
                          var btnIndex = buttonIndex;
                          switch(btnIndex) {
                                case 0:
                                    //Não faz nada
                                case 1:

                                $ionicLoading.show({
                                    content: 'Loading',
                                    animation: 'fade-in',
                                    showBackdrop: true,
                                    maxWidth: 200,
                                    showDelay: 0
                                });

                                $timeout(function () {
                                    $ionicLoading.hide();
                                }, 5000);
                                
                              
                                  $http.get("http://siaf.bi4net.com.br/sistemaboletos/verboletoapp.php?p="+ParcelaId).success(function(data){
                                        $scope.parcelas = data;
                                    });
                            }
                        });

                    

                     /*$cordovaDialogs.alert('Parcela enviada por email', 'Sucesso', 'OK')
                        .then(function() {
                        // callback success
                      });*/
                    break;
            }

     }

})


.controller('acessoCtrl', function($scope, $ionicPopup, $ionicHistory, $state, $http,$cordovaDialogs,$stateParams) {

   $scope.data = {};

   $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    $scope.submit = function()
    {
        data = {
            'Login' : $scope.data.login,
            'Senha' : $scope.data.senha
        };

        $http.post('http://siaf.bi4net.com.br/app/loginformando.php', data)
        .success(function(data, status, headers, config)
        {
          
          $scope.formando = data[0].FormandoId;
          
            if(data == 'null'){
              $cordovaDialogs.alert('Dados incorretos tente novamente', 'Erro', 'OK')
                      .then(function() {
                      });
            }
            else{
               $state.go('app.dashboard',{'FormId': $scope.formando});
            }
            
        })
        .error(function(data, status, headers, config)
        {
            $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                      .then(function() {
                      });
        });
    }

})


.controller('duvidasCtrl', function($scope, $ionicPopup, $ionicHistory, $state, $http,$cordovaDialogs,$stateParams) {

   $scope.parm = $stateParams;
   $scope.data = {};

   $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    //$scope.submit = function()
    //{
        data = {
            'FormId' : $scope.parm.FormId
        };

        $http.post('http://siaf.bi4net.com.br/app/getduvidaformando.php', data)
        .success(function(data, status, headers, config)
        {
          $scope.duvidas = data;
        })
        .error(function(data, status, headers, config)
        {
            $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                      .then(function() {
                      });
        });
   // }

})


.controller('novaduvidaCtrl', function($scope, $ionicPopup, $ionicHistory, $state, $http,$cordovaDialogs,$stateParams) {

   $scope.parm = $stateParams;
   $scope.data = {};

   $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    $scope.submit = function()
    {
       
        data = {
            'Titulo' : $scope.data.titulo,
            'Descricao' : $scope.data.descricao,
            'FormId' : $scope.parm.FormId
        };
       
       
        $http.post('http://siaf.bi4net.com.br/app/duvidaformando.php', data)
        .success(function(data, status, headers, config)
        {
          
            if(data == 'null'){
              $cordovaDialogs.alert('Dados incorretos tente novamente', 'Erro', 'OK')
                      .then(function() {
                      });
            }
            else{
               $state.go('app.chat',{'FormId': $scope.parm.FormId});
            }
            
        })
        .error(function(data, status, headers, config)
        {
            $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                      .then(function() {
                      });
        });
    }

})

.controller('detalhesreposta', function($scope,$ionicHistory,$http,$stateParams,$cordovaDialogs,$timeout,$ionicLoading) {
    $scope.parm = $stateParams;
    
     $ionicLoading.show({
            content: 'Loading',
            animation: 'fade-in',
            showBackdrop: true,
            maxWidth: 200,
            showDelay: 0
        });

        $timeout(function () {
            $ionicLoading.hide();
        }, 2000);

    getdados();
    getduvida();

    function getdados(){
        $http.get("http://siaf.bi4net.com.br/app/getresposta.php?duvida="+$scope.parm.DuvidaId).success(function(data){
        $scope.respostas = data;
        });
    }

    function getduvida(){
        $http.get("http://siaf.bi4net.com.br/app/getduvida.php?duvida="+$scope.parm.DuvidaId).success(function(data){
        $scope.duvidas = data;
        });
    }

   
})

.controller('formandoscontratoCtrl', function($scope, $http, $stateParams) {
    $http.get("http://siaf.bi4net.com.br/app/getformandoscontrato.php?status="+$stateParams.FormId).success(function(data){
      $scope.FormandosCtr = data;
    });
})



.controller('MinhaSitucaoCtrl', function($scope,$http, $stateParams,$timeout, $ionicLoading) {

    $scope.data = {};
    $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';
    
    data = {
        'FormId' : $stateParams.FormId
    };

        $ionicLoading.show({
            content: 'Loading',
            animation: 'fade-in',
            showBackdrop: true,
            maxWidth: 200,
            showDelay: 0
        });

        $timeout(function () {
            $ionicLoading.hide();
        }, 2000);


        $http.post('http://siaf.bi4net.com.br/app/minhasituacaodados.php', data)
        .success(function(data, status, headers, config)
        {

          $scope.ValorApagar    = data[0].APagar;
          $scope.ValorVencida   = data[0].Vencida;
          $scope.ValorPaga      = data[0].Paga;

            if(data == 'null'){
              $cordovaDialogs.alert('Dados incorretos tente novamente', 'Erro', 'OK')
                      .then(function() {
                      });
            }
            else{
               
               

                $scope.chartPie = {
                    options: {
                        chart: {
                        type: 'pie',
                        // marginTop: '10px'
                        
                        },
                        colors: ['#228B22', '#FF0000','#058dc7']

                    },
                    
                    series: [{
                        data: [
                        ['Pago', $scope.ValorPaga],
                        ['Vencido', $scope.ValorVencida],
                        ['A pagar',$scope.ValorApagar]
                        ],
                        name: 'Valor R$', 
                        allowPointSelect: true,

                        //data:[50,40],
                        dataLabels: {
                        rotation: 270,
                        enabled: false,
                        format: '<b>{point.name}</b>: {point.y:.2f}'
                        }
                    }],
                    
                    title: {
                        text: ''
                    },
                    tooltip: {
                            pointFormat: '{series.name}:'
                        },

                    credits: {
                        enabled: false
                    },

                    loading: false
                    }
            }
            
        })
        .error(function(data, status, headers, config)
        {
            $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                      .then(function() {
                      });
        });
 

   

/*$scope.chartarea = {
  options: {
          chart: {
            type: 'area',
            inverted: false,
            zoomType: 'xy',
             
             height: 250,
             
           

          },
          plotOptions: {
            
          series: {
              cursor: 'pointer',
              column :{
               size: '30%',
              },
              
          }
        },
          colors: ['#058dc7', '#50b432']
        },

        xAxis: {
           
            
            categories: ['10 jan','11 jan','12 jan','13 jan','14 jan','15 jan'],
            title: {
                text: ''
            },
            labels: {
                rotation: -90,
                style: {
                    fontSize: '12px',
            }
            }

        },
        yAxis: {
            min: 0,
            title: {
                text: 'Bandthwidth (MB)',
                align: 'high'
            },
            labels: {
                overflow: 'justify'
            }
        },
        tooltip: {
            valueSuffix: ' '
        },
        
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'top',
            
            floating: false,
            borderWidth: 1,
            backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
            shadow: true
        },
        credits: {
            enabled: false
        },
        title: {
               text: 'Internet Usage',
               style: {
                //color: '#FF00FF',
                fontSize: '12px'
            },
        },

        series: [{
            name: 'Download',
            data: [50,60,70,50,60,70],
        }, {
            name: 'Upload',
            data: [40,30,60,50,60,70],
        }, ],
        loading : false

    }*/



    /*$scope.chartDonut = {
      options: {
         plotOptions: {

                pie: {              
                    
                    dataLabels: {
                        enabled: false,
                      
                        style: {
                            fontWeight: 'bold',
                            color: 'white',
                            textShadow: '0px 1px 2px black',

                        }

                    },
                    startAngle: -90,
                    endAngle: 90,
                    center: ['50%', '75%']
                }
            },
             colors: ['#058dc7', '#50b432'],
        
    },

      
    
      series: [{
        type: 'pie',
        innerSize: '50%',
        data: [
          ['Download', 100],
          ['Upload', 500]
        ],
        name: 'InternetUsage MB',
        //data:[50,40],
        dataLabels: {
          rotation: 270,
          enabled: false,
          format: '<b>{point.name}</b>: {point.percentage:.1f} MB'

        }
      }],
       title: {
            text: '',
            align: 'center',
            verticalAlign: 'middle',
            y: -60
        },
      

      credits: {
        enabled: false
      },

      loading: false
    }*/




})


.controller('categoriaclubebeneficio', function($scope, $http, $stateParams) {
    $http.get("http://siaf.bi4net.com.br/app/categoriaclubebeneficio.php").success(function(data){
      $scope.CategoriaCtr = data;
    });
})


.controller('categoriaitens', function($scope, $ionicPopup, $ionicHistory, $state, $http,$cordovaDialogs,$stateParams) {

   $scope.data = {};

   $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    data = {
        'CatId' : $stateParams.CatId,
    };

    $http.post('http://siaf.bi4net.com.br/app/itenscategoriaclubebeneficio.php', data)
    .success(function(data, status, headers, config)
    {
        
        $scope.itenscategoria = data;
        
        if(data == 'null'){
            $cordovaDialogs.alert('Categoria não possui itens cadastrado!', 'Erro', 'OK')
                    .then(function() {
                    });
        }
        
    })
    .error(function(data, status, headers, config)
    {
        $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                    .then(function() {
                    });
    });

})

.controller('itemdetalhe', function($scope, $ionicPopup, $ionicHistory, $state, $http,$cordovaDialogs,$stateParams,$sce,$ionicLoading,$timeout) {

   $scope.data = {};

   $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    data = {
        'ItensCategoriaId' : $stateParams.ItemCatId,
        'FormId': $stateParams.FormId
    };

    $http.post('http://siaf.bi4net.com.br/app/detalheitemcategoria.php', data)
    .success(function(data, status, headers, config)
    {
        
        $scope.detalheitem = data;
        
        if(data == 'null'){
            $cordovaDialogs.alert('Item não encontrado!', 'Erro', 'OK')
                    .then(function() {
                    });
        }
        
    })
    .error(function(data, status, headers, config)
    {
        $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                    .then(function() {
                    });
    });

    $scope.renderAsHtml = function(html){
        return $sce.trustAsHtml(html);
    }

     
     $scope.enviaEmailcupom = function(){

    $cordovaDialogs.confirm('Confirma o envio do beneficio por e-mail?', 'Atenção', ['Confirmar','Cancelar']).then(function(buttonIndex) {
            // no button = 0, 'OK' = 1, 'Cancel' = 2
            var btnIndex = buttonIndex;

            if (btnIndex == 1)
            {
                
               $scope.data = {};

                $http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

                    data = {
                        'ItensCategoriaId' : $stateParams.ItemCatId,
                        'FormId': $stateParams.FormId
                    };

                    $http.post('http://siaf.bi4net.com.br/sistemaboletos/voucheremail.php', data)
                    .success(function(data, status, headers, config)
                    {
                        
                       // $scope.detalheitem = data;
                        
                        /*if(data == 'null'){
                            $cordovaDialogs.alert('Item não encontrado!', 'Erro', 'OK')
                                    .then(function() {
                                    });
                        }*/
                        
                    })
                    .error(function(data, status, headers, config)
                    {
                        $cordovaDialogs.alert('Erro na comunicação com o servidor', 'Erro', 'OK')
                                    .then(function() {
                                    });
                    });
               
                
                    $ionicLoading.show({
                        template: 'Enviando ...',
                        content: 'Loading',
                        animation: 'fade-in',
                        showBackdrop: true,
                        maxWidth: 200,
                        showDelay: 0
                    });

                    $timeout(function () {
                        $ionicLoading.hide();
                    }, 3000);
            }

        });
        
        
        
    }

})
//Fim Criados Roniel


